cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Antonio Gallardo" <agalla...@agssa.net>
Subject Re: Compile Cocoon with java 1.5
Date Wed, 06 Oct 2004 22:24:19 GMT
Tony Collen dijo:
> Antonio Gallardo wrote:
>> Hi:
>>
>> I am trying to compile Cocoon with jdk1.5.0. I already committed some
>> changes until I meet this one:
>>
>> /cocoon-2.1/src/blocks/forms/java/org/apache/cocoon/forms/event/ProcessingPhase.java:22:
>> as of release 1.5, 'enum' is a keyword, and may not be used as an
>> identifier
>> (try -source 1.4 or lower to use 'enum' as an identifier)
>> import org.apache.commons.lang.enum.ValuedEnum;
>>
>> Seems like commons-lang need to be refactored? Or is this a java bug?
>> Note
>> this is inside a import statement. I need to read the 1.5 reference
>> first....
>
> enum is a new type in 1.5 (yay!!)
>
> if you dig around the archives you'll find some changes got made already
> with respect to this problem (fairly recently, too). not  sure if they
> all got caught or not.  if so, cvs update! :)

Hi Tony, thanks for your answer :-D

I already updated the CVS and reported the bug in commons:

http://issues.apache.org/bugzilla/show_bug.cgi?id=31572

Best Regards,

Antonio Gallardo


Mime
View raw message